package sop_task

import (
	"context"
	"github.com/suyuan32/simple-admin-common/msg/errormsg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetSopMessageVarLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetSopMessageVarLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetSopMessageVarLogic {
	return &GetSopMessageVarLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *GetSopMessageVarLogic) GetSopMessageVar() (resp *types.MessageVarResp, err error) {
	resp = &types.MessageVarResp{}
	resp.Msg = errormsg.Success
	resp.Data.MessageVar = []types.MessageVarInfo{
		{
			Label: "昵称",
			Value: "nickname",
		},
	}
	resp.Data.ForwardVar = []types.MessageVarInfo{
		{
			Label: "昵称",
			Value: "nickname",
		},
	}

	return resp, nil
}
